> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ubik-agent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Authorization Request Context



## OpenAPI

````yaml /api-reference/openapi.fr.json get /oauth/authorization-requests/{request_id}
openapi: 3.1.0
info:
  title: UBIK Public API
  description: Publicly accessible API endpoints for UBIK.
  version: '1.0'
servers:
  - url: https://app.ubik-agent.com/api/v1
    description: Production Server
security: []
paths:
  /oauth/authorization-requests/{request_id}:
    get:
      tags:
        - oauth
      summary: Get Authorization Request Context
      operationId: >-
        get_authorization_request_context_oauth_authorization_requests__request_id__get
      parameters:
        - name: request_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Request Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OAuthAuthorizationRequestContext'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    OAuthAuthorizationRequestContext:
      properties:
        request_id:
          type: string
          format: uuid
          title: Request Id
        client_id:
          type: string
          title: Client Id
        client_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Name
        profile_id:
          type: string
          format: uuid
          title: Profile Id
        profile_name:
          type: string
          title: Profile Name
        scopes:
          type: string
          title: Scopes
        resource:
          type: string
          title: Resource
      type: object
      required:
        - request_id
        - client_id
        - profile_id
        - profile_name
        - scopes
        - resource
      title: OAuthAuthorizationRequestContext
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /api/internal/v1/token

````